## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

%global crate scx_rusty

Name:           rust-scx_rusty
Version:        0.5.4
Release:        %autorelease
Summary:        A multi-domain, BPF / user space hybrid scheduler

License:        GPL-2.0-only
URL:            https://crates.io/crates/scx_rusty
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24
ExcludeArch:    %{ix86}

%global _description %{expand:
A multi-domain, BPF / user space hybrid scheduler used within sched_ext, 
which is a Linux kernel feature which enables implementing kernel thread 
schedulers in BPF and dynamically loading them. 
https://github.com/sched-ext/scx/tree/main}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause
# BSD-3-Clause
# BSD-3-Clause OR MIT OR Apache-2.0
# GPL-2.0-only
# ISC
# LGPL-2.1-only OR BSD-2-Clause
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
# Zlib
License:        GPL-2.0-only AND (MIT OR Apache-2.0) AND Unicode-DFS-2016 AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-2-Clause AND BSD-3-Clause AND (BSD-3-Clause OR MIT OR Apache-2.0) AND ISC AND (LGPL-2.1-only OR BSD-2-Clause) AND MIT AND (Unlicense OR MIT) AND Zlib
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/scx_rusty

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Jan 31 2024 Jordan Rome <jordalgo@fedoraproject.org> - 0.5.4-1
- Update to 0.5.4

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Jordan Rome <jordalgo@fedoraproject.org> - 0.5.3-2
- updated Readme

* Sat Jan 20 2024 Jordan Rome <jordalgo@fedoraproject.org> - 0.5.3-1
- Add sources, spec, and rust2rpm
## END: Generated by rpmautospec
